Module java.corba
Package org.omg.IOP

## Interface TAG_ALTERNATE_IIOP_ADDRESS

    public interface TAG_ALTERNATE_IIOP_ADDRESS

org/omg/IOP/TAG_ALTERNATE_IIOP_ADDRESS.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-9-argm_o/openjdk-9-9~b114/src/corba/src/java.corba/share/classes/org/omg/PortableInterceptor/IOP.idl Thursday, April 14, 2016 7:54:05 PM UTC

### Field Summary

Fields
`static int` `value` In cases where the same object key is used for more than one internet location, the following standard IOR Component is defined for support in IIOP version 1.2.

### Field Detail

#### value

    static final int value

In cases where the same object key is used for more than one internet location, the following standard IOR Component is defined for support in IIOP version 1.2.

The `TAG_ALTERNATE_IIOP_ADDRESS` component has an associated value of type:

         struct {
             string HostID,
             short Port
         };

encoded as a CDR encapsulation.

Zero or more instances of the `TAG_ALTERNATE_IIOP_ADDRESS` component type may be included in a version 1.2 `TAG_INTERNET_IOP` Profile. Each of these alternative addresses may be used by the client orb, in addition to the host and port address expressed in the body of the Profile. In cases where one or more `TAG_ALTERNATE_IIOP_ADDRESS` components are present in a `TAG_INTERNET_IOP` Profile, no order of use is prescribed by Version 1.2 of IIOP.

See Also:
  Constant Field Values